I2O_IOP_CLEAR(9)

NAME
i2o_iop_clear - Bring I2O controller into HOLD state

SYNOPSIS

int i2o_iop_clear(struct i2o_controller * c);

ARGUMENTS

c
    controller

DESCRIPTION

Clear an IOP to HOLD state, ie. terminate external operations, clear all input queues and prepare for a system restart. IOP's internal operation continues normally and the outbound queue is alive. The IOP is not expected to rebuild its LCT.

Returns 0 on success or negative error code on failure.

COPYRIGHT